blitz++ (1:0.10+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuples, update;
    - debian/control:
      - Vcs-* fields, migration to Salsa;
      - Build-Depends field, temporarily add g++-6;
    - debian/rules:
      - no-parallel build;
      - g++-6 usage, force.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 May 2018 16:38:18 +0000

blitz++ (1:0.10+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/:
      - d/p/debianization-examples-neutralization.patch, refresh;
      - d/p/debianization-testsuite-neutralization.patch, introduce;
      - Origin fields, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 10 Oct 2016 00:58:10 +0000

blitz++ (1:0.10+ds-1) unstable; urgency=medium

  * RC fix release (Closes: #811923), external build to avoid name collisions.
  * New maintainer.
  * Debianizarion:
    - debian/copyright:
      - Files-Excluded field, setup;
      - refresh;
    - debian/control:
      - Standards Version, bump to 3.9.8;
      - Vcs-* headers, secure;
    - debian/watch, refresh;
    - debian/rules:
      - default target, introduce;
      - get-orig-source target, introduce;
      - build-arch/build-indep scheme, introduce;
      - clean up;
    - debian/patches/:
      - bump format to DEP-3;
      - d/p/fix_info.patch, discard in favour of on fly modification;
      - d/p/examples.patch, discard in favour of
          d/p/upstream-autotoolization-harden.patch;
      - d/p/testsuite.patch, obsoleted to keep the source as-is;
      - d/p/upstream-*.patch, introduce;
      - d/p/debianization-*.patch, introduce;
    - debian/adhoc/examples/Makefile, introduce;
    - debian/adhoc/testsuite/Makefile, introduce;
    - harden.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Aug 2016 22:19:06 +0000

blitz++ (1:0.10-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library to libblitz0v5 for the libstdc++ transition
    (Closes: #790984)

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Aug 2015 14:46:54 +0100

blitz++ (1:0.10-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing epoch to conflicts/replaces versions
    (really Closes: #767564)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 02 Dec 2014 21:37:08 +0000

blitz++ (1:0.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add replaces on libblitz0ldbl as well (Closes: #767564)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 23 Nov 2014 22:58:33 +0000

blitz++ (1:0.10-3) unstable; urgency=medium

  * libblitz-doc breaks libblitz0ldbl of previous releases
    Closes: #767564

 -- Andreas Tille <tille@debian.org>  Sun, 02 Nov 2014 08:42:13 +0100

blitz++ (1:0.10-2) unstable; urgency=medium

  * cme fix dpkg-control
  * Priority optional for all packages
  * use autoreconf (thanks for the patch to "Breno Leitao" <brenohl@br.ibm.com>)
    Closes: #755826
  * fix blitz.info dir entry (thanks for the patch to Kevin Ryde
    <user42@zip.com.au>)
    Closes: #726566
  * debian/README.source: deleted since redundant
  * debian/rules: removed some unneeded stuff
  * d/control: delete superseded package texi2html from Build-Depends
  * blitz.info ends up in doc package to come together with the used images

 -- Andreas Tille <tille@debian.org>  Thu, 02 Oct 2014 15:56:53 +0200

blitz++ (1:0.10-1) unstable; urgency=low

  * New upstream release
    Closes: #679407
  * debian/rules:
    - update for new release
    - add override_dh_auto_test target
    - regenerate configure and Makefile.am
  * debian/control:
    - add libtool, automake to BuildDepends
  * debian/libblitz-doc.install
    - modify path for html files
  * remove uneeded patches
  * add examples.patch

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Fri, 06 Jul 2012 09:15:30 +0200

blitz++ (1:0.9-13) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.3 (no changes needed)
    - Fixed Vcs fields
    - Do not build-depend quilt (redundant with source 3.0 (quilt))
    - Build-Depends: cfortran
      Closes: #631004
  * debhelper 9 (control+compat)
  * debian/rules:
    - make sure only correct pkgconfig file will be installed
      Closes: #623786
    - save all docs from upstream source before clean target removes
      them automatically to build twice in a row successfully
  * debian/{libblitz-doc.examples,libblitz0-dev.install}: Do not use
    brace expansion
  * debian/copyright: Fix DEP5 issues

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2012 11:37:15 +0200

blitz++ (1:0.9-12) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Build-Depends: texi2html
    - doc package Depends libjs-jquery which provides jquery.js
  * Debhelper 8 (control+compat)
  * debian/rules:
    - Fix sequence of dh arguments
    - Do not install unneeded *.la file
      Closes: #621305
    - Remove copy of jquery.js which is provided by a link to the
      file provided in libjs-jquery:

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2011 13:51:07 +0200

blitz++ (1:0.9-11) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.1 (no changes needed)
    - Build-Depends: doxygen-latex instead of several tex related files
      Closes: #616201
    - Build-Depends: autotools-dev
  * debian/rules: simplified by using short dh syntax
    Using autotools-dev should hopefully solve the "Outdated config.{sub,guess}"
    issue, hopefully Closes: #548928
  * debian/source/format: 3.0 (quilt)
  * debian/libblitz-doc.lintian-overrides: Removed because not needed any more

 -- Andreas Tille <tille@debian.org>  Mon, 07 Mar 2011 14:00:41 +0100

blitz++ (1:0.9-10) unstable; urgency=low

  * Standards-Version: 3.8.3 (added README.source)
  * Debhelper 7
  * Build-Depends: autotools-dev
  * debian/patches/30_fix_doxygen_install_target.patch: Replace install
    by cp -a which enables copying directories recursively
    Closes: #545635
  * Machine readable copyright

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2009 21:36:45 +0200

blitz++ (1:0.9-9) unstable; urgency=medium

  * Urgency medium because of private report of FTBFS problem
    on AMD - unable to verify so no further action than tagging
    like this
  * dh_lintian was added in debhelper 6.0.7 so increased debhelper
    version to 6 and add versioned build dependency
  * Team maintenance by Debian Science Team
    <debian-science-maintainers@lists.alioth.debian.org> as Maintainer
    and myself as Uploader
  * DM-Upload-Allowed: yes
  * Added Vcs fields
  * Recreate blitz.info instead of applying a patch
  * Applied a patch to work around a FTBFS problem with amd64
    which is described at
     http://bbs.archlinux.org/viewtopic.php?pid=404588
    The patch was obtained from
     http://aur.archlinux.org/packages/blitz/blitz/header.patch
  * Increased build dependency from debhelper (>= 6.0.7~)
  * Standards-Version: 3.8.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Sep 2008 13:23:47 +0200

blitz++ (1:0.9-8) unstable; urgency=low

  * Took over the package myself after markos left Debian
    (sorry to see you go markos and thanks for your work in Debian)
  * Priority: optional (because there is no reason to put it in extra -
    there is no conflict with other packages)
  * Removed debian/dshlibmove which is not needed any more
  * Make use of dh_lintian
  * debian/compat: 5
  * Removed explicite versioned dependency from g++ because all recent
    disctributions contain newer g++ versions
  * Added more warnings about zero byte files to lintian overrides
  * libblitz-doc.doc-base: Section: Programming, enhanced abstract
  * debian/rules: Added dh_shlibdeps
  * lintian override for package-name-doesnt-match-sonames because
    upstream does not seem to produce any newer versions and thus
    changing the package name just produces extra nuisance for ftpmaster
    without noticeable benefit

 -- Andreas Tille <tille@debian.org>  Mon, 05 May 2008 10:27:41 +0200

blitz++ (1:0.9-7) unstable; urgency=low

  * Added patch to fix FTBFS with GCC 4.3: missing #includes
    (Thanks to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>)
    Closes: #455661
  * Added quilt to Build-Depends
  * Standards-Version: 3.7.3 (No changes needed)
  * Homepage tag instead of putting it into long description
  * debian/rules: F77=gfortran; Adjusting Build-Depends to
    accomplish g77 to gfortran transition (Thanks to
    Kumar Appaiah <akumar@ee.iitm.ac.in>)
    Closes: #463935
  * libblitz0-dev to section libdevel
  * debian/libblitz-doc.doc-base removed useless whitespace
  * debian/rules: Removed bashism

 -- Andreas Tille <tille@debian.org>  Sun, 17 Feb 2008 21:31:47 +0100

blitz++ (1:0.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fix bashism. Closes: #455895.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 20 Jan 2008 18:54:36 +0100

blitz++ (1:0.9-6) unstable; urgency=low

  * Fix Build-Depends from atlas libs to enable building on arm
    and removed explicite Depends from atlas because
    m4/ac_lib_blas.m4 says:
      Blitz++ will use BLAS library to run benchmarks against if
      you build the benchmarks.  Blitz++ itself does NOT use BLAS
  * debian/rules: configure --with-blas ...
  * Addes graphviz to Build-Depends to enable dependency graphs
    in docs.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2007 09:01:31 +0200

blitz++ (1:0.9-5) unstable; urgency=low

  * ldbl128 transition
    Closes: #430257
  * debian/control:
      libblitz0ldbl:  Conflicts/  Replaces: libblitz0
      libblitz0-dev:  Depends: libblitz0ldbl (= ${binary:Version})
  * Reworked debian/copyright
  * Added lintian.override for zero byte files that were created
    by doxygen
  * debian/rules: Do not igore make-clean-errors
  * use private d-shlibmove patch for ldbl transition

 -- Andreas Tille <tille@debian.org>  Thu, 23 Aug 2007 15:00:22 +0200

blitz++ (1:0.9-4) unstable; urgency=low

  * Simple reupload that triggers recompile on AMD64
    Closes: #424644

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jun 2007 11:20:23 +0200

blitz++ (1:0.9-3) unstable; urgency=low

  * Added Andreas Tille to Uploaders to group maintain this
    package (ack by Konstantinos Margaritis)
  * Added configure option --enable-shared
    Closes: #369753
  * Changed Build-Depends from texlive-latex-base to
    tetex-bin, texlive-generic-recommended (just adding alternative
    Build-Depends to tetex was tried but is not possible because
    more than one package of texlive are needed)
    because tetex will not be in Lenny and it has to be replaced.
  * Increased Standards-Version to 3.7.2 (no changes necessary)
  * Split up package into libblitz++-0.9, libblitz++-0.9-dev and
    libblitz++-doc
  * Removed postinst and prerm becase doc-base handling is
    automatically done by debhelper tools
  * Removed debian/README.testsuite that is just a copy of
    debian/README.examples
  * Added debian/watch file
  * Patched doc/*/Makefile.in to prevent cleaning files that are
    contained in the source tarball - I'd suggest to rebuild the
    source tarball after a complete "make distclean" for the next
    version

 -- Andreas Tille <tille@debian.org>  Sun, 29 Apr 2007 17:06:38 +0200

blitz++ (1:0.9-2) unstable; urgency=low

  * Fix FTBFS bug for gcc 4.3. Closes: #417123

 -- Konstantinos Margaritis <markos@debian.org>  Wed,  4 Apr 2007 01:55:43 +0300

blitz++ (1:0.9-1.2) unstable; urgency=low

  * NMU
  * Change rules clean target to call distclean, which cleans up a lot
    of autogenerated files.
  * Add build dependency on texinfo to fix FTBFS. Closes: #397540

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Nov 2006 00:59:01 -0500

blitz++ (1:0.9-1.1) unstable; urgency=low

  * NMU
  * Build-Depend on debhelper 5.0.41, which stops passing section info to
    install-info.
  * Fixes install-info crash on some (but not all) installs of blitz++.
    Closes: #395954
    The exact crash circumstances seem dependant on the other info dir file
    content.

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Nov 2006 17:11:11 -0500

blitz++ (1:0.9-1) unstable; urgency=low

  * New upstream release (Closes: #323337)

 -- Konstantinos Margaritis <markos@debian.org>  Thu,  3 Nov 2005 11:15:09 +0200

blitz++ (1:0.8-5) unstable; urgency=low

  * Changed build-dependency from blas-dev to atlas3-headers, as blas-dev is
    removed from the archive. (Closes: #320439)

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 12 Aug 2005 12:45:13 +0300

blitz++ (1:0.8-4) unstable; urgency=low

  * Added missing build-depends (Closes: #297323)

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 28 Feb 2005 20:25:01 +0200

blitz++ (1:0.8-3) unstable; urgency=medium

  * Fixed doc-base erroneous index. (Closes: #283693)

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 30 Nov 2004 21:09:03 +0200

blitz++ (1:0.8-2) unstable; urgency=medium

  * Added missing include file, thanks to David M. Cooke for the pointer,
    (Closes: #281966).

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 19 Nov 2004 01:05:53 +0200

blitz++ (1:0.8-1) unstable; urgency=medium

  * New upstream release.
  * Now includes all documentation (Closes: #272090).
  * Added some missing build deps.
  * In the future, the package will be broken to separate -dev and -doc
    packages.

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 16 Nov 2004 00:06:15 +0200

blitz++ (1:0.7-1) unstable; urgency=low

  * New upstream release.
  * g++ 3.3 compilation issues resolved (Closes: #200505)
  * (Mostly) lintian clean.
  * So far the libblitz.a was stripped. For debugging purposes, I decided that
    the user could do that himself, so the library is distributed unstripped.

 -- Konstantinos Margaritis <markos@debian.org>  Thu,  9 Oct 2003 21:42:53 +0300

blitz++ (1:0.6-1.1) unstable; urgency=low

  * Non-Maintainer upload (BSP)
  * Made build-process non-interactive (closes: #181654)

 -- Bas Zoetekouw <bas@debian.org>  Fri, 14 Mar 2003 19:26:44 +0100

blitz++ (1:0.6-1) unstable; urgency=low

  * Changed to version 0.6
  * Recompiled with g++-3.2 support (closes: #180339)

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 10 Feb 2003 11:47:25 +0200

blitz++ (20021011-1) unstable; urgency=low

  * New upstream release

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 11 Oct 2002 13:48:34 +0300

blitz++ (20001213-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed blas1 dependency. (closes: #134512)

 -- Andreas Rottmann <rotty@debian.org>  Thu, 28 Feb 2002 22:07:57 +0100

blitz++ (20001213-2) unstable; urgency=low

  * Closes: #119476.
  * Made lintian clean.

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 14 Nov 2001 12:10:20 +0200

blitz++ (20001213-1) unstable; urgency=low

  * New upstream release.

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 13 Dec 2000 19:34:27 +0200

blitz++ (20001030-2) unstable; urgency=low

  * Forgot to actually fix 66337.

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 21 Nov 2000 12:14:56 +0200

blitz++ (20001030-1) unstable; urgency=low

  * New upstream release
  * Closes: #64020, #66337

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 20 Nov 2000 17:01:10 +0200

blitz++ (20000522-1) unstable; urgency=low

  * New upstream release.
  * Modified rules file and added doc-base support (now should be new policy
  compliant.
  * Uses debhelper where possible.

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 23 Jun 2000 13:44:40 +0300

blitz++ (20000319-2) unstable; urgency=low

  * Removed tty test in bzconfig as reported by Roman Hodek. That way it
  should work with autobuilders.
  Closes:########64020

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 15 May 2000 15:15:57 +0300

blitz++ (20000319-1) unstable; urgency=low

  * New maintainer.
  * Updated to new upstream version (snapshot, stable release didn't pass
  all tests).
  * Upgraded to new policy 3.1.1.

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 20 Apr 2000 12:45:08 +0300

blitz++ (0.4.2-2) unstable; urgency=low

  * Build for potato libraries and compilers

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 25 Mar 1999 17:11:42 -0700

blitz++ (0.4.2-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 10 Sep 1998 15:58:31 -0700
